Uploaded image for project: 'Artifactory Binary Repository'
  1. Artifactory Binary Repository
  2. RTFACT-7530

Bower repository does not respect certain version specifiers

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Critical
    • Resolution: Fixed
    • Affects Version/s: 3.7.0, 3.8.0
    • Fix Version/s: 4.1.0
    • Component/s: Bower
    • Labels:
      None

      Description

      Test case:

      bower-art install angular-bootstrap#~0.12.1

      Contains a module with a version specifier of:

      >=1 <1.3.0

      From http://bower.herokuapp.com this works fine, but through an Artifactory repo this causes an "unexpected end of input" error.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                liorha Lior Hasson
                Reporter:
                aaronr Aaron Rhodes
              • Votes:
                6 Vote for this issue
                Watchers:
                12 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: